import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-29 14:51
 */
export interface PpMobileWhiteLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
}
export class PpMobileWhiteLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-29 14:51
 */
export interface PpMobileUserInfo{
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 移动积分
    * @type { number }
    */
    points?: number;
    /**
    * 畅由积分
    * @type { number }
    */
    cypoints?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class PpMobileUserInfoMI{ 
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get POINTS(): FieldInfo{  
        return new FieldInfo('points','移动积分');
    }
    static get CYPOINTS(): FieldInfo{  
        return new FieldInfo('cypoints','畅由积分');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


